## h5py 2.10.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/h5py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/h5py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/h5py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/h5py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
h5py (2.10.0-9) unstable; urgency=medium

  * Team upload.
  * update mathjax handling to mathjax 2.7.7. Closes: #963635.

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Aug 2020 19:54:50 +0800

h5py (2.10.0-8) unstable; urgency=medium

  * Team upload.
  * reinstate upstream deprecation patches. Closes: #959940.
  * add debian patch use_system_lzf.patch to use lzf from liblzf-dev.
    (still needs localpath('lzf') to access lzf_filter.h)
    Build-Depends: liblzf-dev. Closes: #958319.

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 May 2020 15:45:16 +0800

h5py (2.10.0-7) unstable; urgency=medium

  * Team upload.
  * check environment variable H5PY_ALWAYS_USE_MPI to force use of the
    MPI build of h5py/HDF5 in a serial process

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Apr 2020 11:21:30 +0800

h5py (2.10.0-6) unstable; urgency=medium

  * Team upload.
  * provide alternate test rule when nocheck is set in DEB_BUILD_OPTIONS
  * use hdf5-mpi.pc as pkg-config file rather than specific MPI
    implementation (links to specific preferred alternative version)
    - requires libhdf5-mpi-dev (>= 1.10.6+repack-1)
    - add lintian override for build-depends-on-1-revision
      (-1~exp versions did not have the hdf5-mpi.pc alternative in place)
  * aid HDF5 transition by disabling upstream patches and update
    drop_deprecation_tests.patch to give bitshuffle time to adapt.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Apr 2020 20:47:15 +0800

h5py (2.10.0-5) unstable; urgency=medium

  * Team upload.
  * make a lintian override against h5py source:
    dbg-package-missing-depends python3-h5py-dbg (dummy -dbg package,
    doesn't actually need python3-h5py, which is also a dummy package)
  * debian/tests Depends: on serial and mpi packages, mpi-default-bin.
  * set openmpi to allow oversubscribing processes for tests
  * split debian/tests to separate serial and mpi tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Mar 2020 13:13:16 +0800

h5py (2.10.0-4) unstable; urgency=medium

  * Team upload.
  * provide h5py.__version__ (but use h5py.version in applications)
  * only build docs in arch-indep builds
  * reinstate python3-h5py-dbg as dummy package depending on
    python3-h5py-serial-dbg or python3-h5py-mpi-dbg.

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Mar 2020 22:36:31 +0800

h5py (2.10.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Drew Parsons ]
  * provide separate serial and MPI builds in python3-h5py-serial and
    python3-h5py-mpi. python3-h5py-serial provides a h5py.py loader
    file to only import h5py-mpi for multiprocess jobs, otherwise
    import h5py-serial. python3-h5py is a dummy package depending on
    python3-h5py-serial or python3-h5py-mpi.
    - provides generic h5py/__init__.py which imports h5py_serial or
      h5py_mpi as required
    - needs debian patches:
    - hdf5_pkgconfig.patch allows pkg-config entry for HDF5 to be
      specified (e.g. hdf5-serial)
    - build_flavour.patch allows build flavour (_serial or _mpi) to be
      specified for module path
    - stop_circular_dep.patch stops circular dependency in _objects
    - drop_deprecated_dtype_6a77b91.patch,
      remove_deprecated_highlevel_module_2f41c78.patch,
      file_default_read_5e71c49.patch for upstream commits 6a77b91,
      2f41c78 and 5e71c49 and
      drop_deprecation_tests.patch removes long-deprecated dtypes,
      highlevel.py and tests/test_deprecation.py and use of
      H5pyDeprecationWarning in tests (dropped upstream)
    - tests_as_local_build.patch launches tests relative to the given
      h5py build (i.e. don't hardcode "h5py")
    - Closes: #944769, #944617, #946986.
  * Standards-Version: 4.5.0
  * Build-Depends: mpi-default-dev (need to know which mpi since there
    is currently no hdf5-mpi.pc to invoke, only specific mpi versions)

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Mar 2020 19:22:27 +0800

h5py (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 package. Closes: #936684

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Oct 2019 14:41:14 +0200

h5py (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - HDF5 8-bit bitfield data can now be either uint8 or boolean
    - default file mode is now read-only
    - numpy arrays and empty lists can now be used for fancy-indexing
    - applies or deprecates Debian patches:
      * b59221621673950e93644b4c2051c41153810f41.patch
      * build_hdf5_1.10.5_1186.diff
      * fb3f355d0f7ff225a2041447a309e90129adae99.patch
      * fix_deprecated_assertEquals_4464353.diff
      * fix_deprecated_assert_1123a0c.diff
      * fix_test_file_61c0a86.diff
      * import_H5pyDeprecationWarning_a67b2c7.diff
      * test_verbosity_level.patch
  * debian patch fix_2.10_docs.patch adds 2.10.0 changelog to docs
  * Standards-Version: 4.4.1
  * Build-Depends: python3-pytest (since h5py.tests.runtests() now
    invokes pytest)
  * drop python2 tests, build-time and debian/tests
    (test_h5d_direct_chunk.py::TestReadDirectChunk fails in python2)
  * Create debian/tests/test_file_mpi.py to run MPI tests.
    (MPI runs of h5py.run_tests() is broken in 2.10.0,
    see https://github.com/h5py/h5py/issues/1364)

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Oct 2019 02:55:24 +0800

h5py (2.9.0-7) unstable; urgency=medium

  * Team upload.
  * Build and test python3-h5py-dbg against python3-mpi4py-dbg
  * debian patch python3-dbg_skip_file_test_exception.patch skips
    test_exception_close and _write which fail in python3-dbg.
    See https://github.com/h5py/h5py/issues/1291.  Reopens: #923104.

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2019 01:02:59 +0800

=== debian/control ===
Source: h5py
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Mo Zhou <cdluminate@gmail.com>,
Section: python
Priority: optional
Build-Depends: cython3,
               cython3-dbg,
               debhelper-compat (= 12),
               dh-python,
               dpkg-dev (>= 1.17.14),
               libhdf5-dev,
               libhdf5-mpi-dev (>= 1.10.6+repack-1),
               libjs-mathjax,
               liblzf-dev,
               mpi-default-dev,
               python3-all-dbg,
               python3-all-dev,
               python3-mpi4py,
               python3-mpi4py-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-pkgconfig,
               python3-pytest,
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-sphinx <!nodoc>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/h5py
Vcs-Git: https://salsa.debian.org/science-team/h5py.git
Homepage: https://www.h5py.org/

Package: python3-h5py
Architecture: all
Depends: python3-h5py-serial | python3-h5py-mpi, ${misc:Depends}
Suggests: python-h5py-doc <!nodoc>
Description: general-purpose Python interface to hdf5
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This is a dummy package which depends on the serial or MPI build of h5py.

Package: python3-h5py-serial
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-h5py-doc <!nodoc>
Conflicts: python3-h5py (<< 2.10.0-3~)
Description: general-purpose Python interface to hdf5 (Python 3 serial)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the modules for Python 3, built for serial
 (single processor) jobs.

Package: python3-h5py-mpi
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-h5py-serial,
         python3-mpi4py
Suggests: python-h5py-doc <!nodoc>
Description: general-purpose Python interface to hdf5 (Python 3 MPI)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the modules for Python 3, built with support
 for MPI (multiprocessor) jobs.

Package: python3-h5py-dbg
Section: debug
Architecture: all
Depends: python3-h5py-serial-dbg | python3-h5py-mpi-dbg, ${misc:Depends}
Suggests: python-h5py-doc <!nodoc>
Description: debug extensions for h5py (Python 3)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This is a dummy package which depends on the serial or MPI build of h5py
 with debug extensions.

Package: python3-h5py-serial-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-h5py-serial (= ${binary:Version}),
         python3-numpy-dbg
Description: debug extensions for h5py (Python 3 serial)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the debug extensions for Python 3, built for
 serial (single processor) jobs.

Package: python3-h5py-mpi-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-h5py-mpi (= ${binary:Version}),
         python3-h5py-serial-dbg (= ${binary:Version}),
         python3-mpi4py-dbg,
         python3-numpy-dbg
Description: debug extensions for h5py (Python 3 MPI)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the debug extensions for Python 3, built with
 support for MPI (multiprocessor) jobs.

Package: python-h5py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
	 libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for h5py
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PYBUILD_NAME_SERIAL=h5py_serial
PYBUILD_NAME_MPI=h5py_mpi

BUILD_DIR_SERIAL=build-$(PYBUILD_NAME_SERIAL)
BUILD_DIR_MPI=build-$(PYBUILD_NAME_MPI)

SUBMODULE_SERIAL=_debian_$(PYBUILD_NAME_SERIAL)
SUBMODULE_MPI=_debian_$(PYBUILD_NAME_MPI)

PYBUILD_DIR_SERIAL=$(shell PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) pybuild -p `py3versions -dv` --print {build_dir})
PYBUILD_DIR_MPI=$(shell PYBUILD_NAME=$(PYBUILD_NAME_MPI) pybuild -p `py3versions -dv` --print {build_dir})

export OMPI_MCA_plm_rsh_agent=/bin/false
export OMPI_MCA_rmaps_base_oversubscribe=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf $(BUILD_DIR_SERIAL) $(BUILD_DIR_MPI)

override_dh_auto_clean:
	dh_auto_clean -D $(BUILD_DIR_SERIAL) || /bin/true
	dh_auto_clean -D $(BUILD_DIR_MPI) || /bin/true
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs clean
	$(MAKE) -C docs_api clean
endif

override_dh_auto_configure:
	mkdir $(BUILD_DIR_SERIAL); bash -O extglob -c "cp -ra ./!($(BUILD_DIR_SERIAL)) $(BUILD_DIR_SERIAL)"
	sed "s/'h5py'/'h5py.$(SUBMODULE_SERIAL)'/g; s/'h5py._hl'/'h5py.$(SUBMODULE_SERIAL)._hl'/g; s/'h5py.tests/'h5py.$(SUBMODULE_SERIAL).tests/g; s/'h5py.x/'h5py.$(SUBMODULE_SERIAL).x/g" -i $(BUILD_DIR_SERIAL)/setup.py
	sed "s/flavour=''/flavour='$(SUBMODULE_SERIAL)'/" -i $(BUILD_DIR_SERIAL)/setup_build.py
	mv $(BUILD_DIR_SERIAL)/h5py $(BUILD_DIR_SERIAL)/$(SUBMODULE_SERIAL)
	cp -r debian/wrapper_module/h5py $(BUILD_DIR_SERIAL)
	mv $(BUILD_DIR_SERIAL)/$(SUBMODULE_SERIAL) $(BUILD_DIR_SERIAL)/h5py
	mkdir $(BUILD_DIR_MPI); bash -O extglob -c "cp -ra ./!($(BUILD_DIR_SERIAL)|$(BUILD_DIR_MPI)) $(BUILD_DIR_MPI)"
	sed "s/'h5py'/'h5py.$(SUBMODULE_MPI)'/g; s/'h5py._hl'/'h5py.$(SUBMODULE_MPI)._hl'/g; s/'h5py.tests/'h5py.$(SUBMODULE_MPI).tests/g; s/'h5py.x/'h5py.$(SUBMODULE_MPI).x/g" -i $(BUILD_DIR_MPI)/setup.py
	sed "s/flavour=''/flavour='$(SUBMODULE_MPI)'/" -i $(BUILD_DIR_MPI)/setup_build.py
	mv $(BUILD_DIR_MPI)/h5py $(BUILD_DIR_MPI)/$(SUBMODULE_MPI)
	cp -r debian/wrapper_module/h5py $(BUILD_DIR_MPI)
	mv $(BUILD_DIR_MPI)/$(SUBMODULE_MPI) $(BUILD_DIR_MPI)/h5py
	cd $(BUILD_DIR_SERIAL); PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) python3 setup.py configure --hdf5-pc=hdf5-serial
	cd $(BUILD_DIR_MPI); PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc python3 setup.py configure --mpi --hdf5-pc=hdf5-mpi

build-mpi:
	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc dh_auto_build -D $(BUILD_DIR_MPI)
	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
	done

override_dh_auto_build-arch: export http_proxy=127.0.0.1:9
override_dh_auto_build-arch: export https_proxy=127.0.0.1:9
override_dh_auto_build-arch: build-mpi
	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_auto_build -a -D $(BUILD_DIR_SERIAL)
	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
	done

override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
override_dh_auto_build-indep: build-mpi
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(PYBUILD_DIR_MPI) mpirun -n 1 $(MAKE) -C docs html
	PYTHONPATH=$(PYBUILD_DIR_MPI) mpirun -n 1 $(MAKE) -C docs_api html
endif

test-mpi:
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
		echo "Running MPI tests on $$DIR"; \
		cd $$DIR; PYTHONPATH=. mpirun -n 2 python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
		$(CURDIR)/debian/tests/test_file_mpi.py; \
	cd ../../..; done;
else
	echo "MPI tests not run since nocheck was set in DEB_BUILD_OPTIONS"
endif

override_dh_auto_test-indep: test-mpi

override_dh_auto_test-arch: test-mpi
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
		echo "Running serial tests on $$DIR"; \
		cd $$DIR; PYTHONPATH=. python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v'))"; \
	cd ../../..; done;
else
	echo "Tests not run since nocheck was set in DEB_BUILD_OPTIONS"
endif

override_dh_auto_install-indep:

override_dh_auto_install-arch: $(eval SHELL := /bin/bash)
	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_auto_install -a -D $(BUILD_DIR_SERIAL)
	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc dh_auto_install -a -D $(BUILD_DIR_MPI)

override_dh_python3-arch:
	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_python3
	PYBUILD_NAME=$(PYBUILD_NAME_MPI) dh_python3
	dh_numpy3
	
	serial_egg=debian/python3-h5py-serial/usr/lib/python3/dist-packages/h5py.$(SUBMODULE_SERIAL)-*.egg-info; \
	h5py_egg=$$(echo $${serial_egg} | sed "s/h5py.$(SUBMODULE_SERIAL)/h5py/" ); \
	cp -ra $${serial_egg} $${h5py_egg}; \
	sed "s/Name: h5py.*/Name: h5py/" -i $${h5py_egg}/PKG-INFO
	
	rm -f debian/python3-h5py-mpi/usr/lib/python3/dist-packages/h5py/__init__.py

override_dh_installdocs-indep:
	dh_installdocs
	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js" debian/python-h5py-doc/usr/share/doc/python-h5py-doc/html/* -R --files-with-matches | xargs sed "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js|file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i

override_dh_strip-arch:
	dh_strip --package=python3-h5py-serial \
		--dbg-package=python3-h5py-serial-dbg
	dh_strip --package=python3-h5py-mpi \
		--dbg-package=python3-h5py-mpi-dbg

=== debian/tests/control ===
Tests: python3-serial
Depends: python3-all,
         python3-all-dbg,
         python3-h5py-serial,
         python3-h5py-serial-dbg,
         python3-pytest,
         python3-unittest2,
Restrictions: allow-stderr

Tests: python3-mpi
Depends: python3-all,
         python3-all-dbg,
         python3-h5py-mpi,
         python3-h5py-mpi-dbg,
         python3-pytest,
         python3-unittest2,
         mpi-default-bin
Restrictions: allow-stderr

## h5py 3.3.0

=== debian/changelog ===
h5py (3.3.0-4) unstable; urgency=medium

  * Team upload.
  * add debian patches
    - skip_ros_test_no_net.patch skips test_ros3 (catches OSError) if
      network is not available. Needed since libhdf5 is now built with
      ROS (S3) support, but network access is not available on buildd
      servers. Closes: #998215.
    - relax_hdf5_version_test.patch relaxes HDF5 version test to only
      compare major.minor version.  Patches can be assumed to be
      compatibility (will depend on libhdf5 ABI-versioned library
      packages in any case). Closes: #994617.
  * remove deprecated windows/stdint.h from debian/copyright
  * suppress pytest-xvfb with -p no:xvfb not --no-xvfb

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Nov 2021 02:27:38 +0100

h5py (3.3.0-3) unstable; urgency=medium

  * Team upload.
  * drop python3-h5py*-dbg packages.
    Python debug builds now use same ABI as standard build.
    Closes: #994302.
  * debian patch update_mpi4py.patch relaxes strict mpi4py version
    requirement to enable build with mpi4py 3.1.
    See https://github.com/h5py/h5py/issues/1969
    The alternative is to set H5PY_SETUP_REQUIRES=0 so as to not
    conduct build-time version checks, but for Debian it can be useful
    to maintain minimal version checks.
  * update mathjax replacement in docs processing

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Sep 2021 16:00:17 +0200

h5py (3.3.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Aug 2021 16:53:44 +0200

h5py (3.3.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Jul 2021 15:06:56 +0200

h5py (3.2.1-1exp2) experimental; urgency=medium

  * Team upload.
  * Build the hdf5-plugin-lzf package, providing the lzf filter
    plugin to use the LZF compression library with HDF5. Built for
    both serial (single processor) jobs (libhdf5-dev) and for
    multiprocessor (threaded) jobs (libhdf5-mpi-dev).
    Build-Depends: pkg-config. Closes: #960655.

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Apr 2021 00:55:20 +0200

h5py (3.2.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - versioned Build-Depends: cython3 (>= 0.29.15),
      python3-mpi4py (>= 3.0.3), python3-numpy (>= 1.19.3)
  * run MPI tests (--with-mpi) with pytest-xvfb switched off (--no-xvfb)
    pytest-mpi is fragile when pytest-xvfb is loaded, see pytest-mpi
    upstream Issue #31.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Mar 2021 02:05:50 +0100

h5py (3.1.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * upstream tests now test MPI support via pytest-mpi (--with-mpi)
    Closes: #941846.
  * use H5PY_SYSTEM_LZF=1 to build against system lzf.
    debian patch use_system_lzf.patch still needed to provide path to
    lzf include dir.

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Nov 2020 19:31:43 +0800

h5py (3.0.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches
        drop_deprecated_dtype_6a77b91.patch
        drop_deprecation_tests.patch
        file_default_read_5e71c49.patch
        fix_2.10_docs.patch
        remove_deprecated_highlevel_module_2f41c78.patch
  * Build-Depends: python3-cached-property, python3-pytest-mpi
  * debhelper compatibility level 13
  * Build conditions (serial or mpi) now controlled by environment
    variables HDF5_MPI, HDF5_PKGCONFIG_NAME
  * add debian patches
    - numpy_min_version.patch requires build against minimum numpy
      versions (not exact versions)
    - skip_test_selection_assertion.patch uses type name instead of
      assertIsInstance to check correct Selection objects are generated
      (since _debian_h5py_{serial,mpi} submodules alter instance path)
  * setup.py configure rule no longer supported. Use build rule.
  * don't run build-time tests directly in build dir or else imports
    aren't done consistently
  * provide test data_files in tests subdir
  * make h5py_warnings accessible through toplevel wrapper script

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Nov 2020 16:26:50 +0800

=== debian/control ===
Source: h5py
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Mo Zhou <cdluminate@gmail.com>,
Section: python
Priority: optional
Build-Depends: cython3 (>= 0.29.15),
               debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.17.14),
               libhdf5-dev,
               libhdf5-mpi-dev (>= 1.10.6+repack-1),
               libjs-mathjax,
               liblzf-dev,
               mpi-default-dev,
               pkg-config,
               python3-all-dev,
               python3-cached-property,
               python3-mpi4py (>= 3.0.3),
               python3-numpy (>= 1.19.3),
               python3-pkgconfig,
               python3-pytest,
               python3-pytest-mpi,
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-sphinx <!nodoc>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/h5py
Vcs-Git: https://salsa.debian.org/science-team/h5py.git
Homepage: https://www.h5py.org/

Package: python3-h5py
Architecture: all
Depends: python3-h5py-serial | python3-h5py-mpi, ${misc:Depends}
Suggests: python-h5py-doc <!nodoc>
Description: general-purpose Python interface to hdf5
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This is a simple dependency package which depends on the serial or
 MPI build of h5py and provides test data files.

Package: python3-h5py-serial
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-h5py, python-h5py-doc <!nodoc>
Conflicts: python3-h5py (<< 2.10.0-3~)
Description: general-purpose Python interface to hdf5 (Python 3 serial)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the modules for Python 3, built for serial
 (single processor) jobs.

Package: python3-h5py-mpi
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-h5py-serial,
         python3-mpi4py (>= 3.0.3)
Suggests: python3-h5py, python-h5py-doc <!nodoc>
Description: general-purpose Python interface to hdf5 (Python 3 MPI)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the modules for Python 3, built with support
 for MPI (multiprocessor) jobs.

Package: python-h5py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
	 libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for h5py
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data.
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax.
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: hdf5-plugin-lzf
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libhdf5-dev | libhdf5-mpi-dev
Description: hdf5 plugin to lzf compression library
 HDF5 (Hierarchical Data Format library, version 5) is a versatile,
 mature scientific software library designed for the fast, flexible
 storage of enormous amounts of data.
 .
 This package provides a plugin to the HDF5 LZF filter for the LZF
 compression library. Plugins are built for both serial (single
 processor) jobs (libhdf5-dev) and for multiprocessor (threaded) jobs
 (libhdf5-mpi-dev).

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/buildflags.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -48,22 +50,29 @@
 	mv $(BUILD_DIR_MPI)/h5py $(BUILD_DIR_MPI)/$(SUBMODULE_MPI)
 	cp -r debian/wrapper_module/h5py $(BUILD_DIR_MPI)
 	mv $(BUILD_DIR_MPI)/$(SUBMODULE_MPI) $(BUILD_DIR_MPI)/h5py
-	cd $(BUILD_DIR_SERIAL); PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) python3 setup.py configure --hdf5-pc=hdf5-serial
-	cd $(BUILD_DIR_MPI); PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc python3 setup.py configure --mpi --hdf5-pc=hdf5-mpi
+
+# Note on versioned build-dependencies: upstream marks lower supported versioned-dependencies
+# using equality (e.g. "mpi4py ==3.0.3"), meaning the lower supported version is forced in upstream pypi builds.
+# We generally want to build using higher versions (the most recent available and packaged in unstable)
+# Upstream suggests switching off version checking in that case, by setting H5PY_SETUP_REQUIRES=0.
+# However rather than applying H5PY_SETUP_REQUIRES=0, in Debian we maintain minimal version checks
+# by patching setup.py to inequalities where needed (e.g. "mpi4py >=3.0.3")
 
 build-mpi:
-	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc dh_auto_build -D $(BUILD_DIR_MPI)
+	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc HDF5_MPI=ON HDF5_PKGCONFIG_NAME=hdf5-mpi H5PY_SYSTEM_LZF=1 dh_auto_build -D $(BUILD_DIR_MPI)
 	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
 		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
 	done
+	cd $(BUILD_DIR_MPI)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell pkg-config --cflags --libs hdf5-mpi liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so
 
 override_dh_auto_build-arch: export http_proxy=127.0.0.1:9
 override_dh_auto_build-arch: export https_proxy=127.0.0.1:9
 override_dh_auto_build-arch: build-mpi
-	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_auto_build -a -D $(BUILD_DIR_SERIAL)
+	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) HDF5_PKGCONFIG_NAME=hdf5-serial H5PY_SYSTEM_LZF=1 dh_auto_build -a -D $(BUILD_DIR_SERIAL)
 	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
 		cp -r $(CURDIR)/debian/wrapper_module/h5py/* $$DIR/h5py/; \
 	done
+	cd $(BUILD_DIR_SERIAL)/lzf; $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell pkg-config --cflags --libs hdf5-serial liblzf) -fPIC -shared lzf_filter.c -o liblzf_filter.so
 
 override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
@@ -73,28 +82,27 @@
 	PYTHONPATH=$(PYBUILD_DIR_MPI) mpirun -n 1 $(MAKE) -C docs_api html
 endif
 
-test-mpi:
+override_dh_auto_test-indep:
+
+override_dh_auto_test-arch:
 ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
-	for DIR in $$(find .pybuild/cpython3*mpi -name build); do \
+	for DIR in $$(find $(CURDIR)/.pybuild/cpython3*serial -name build); do \
+		echo "Running serial tests on $$DIR"; \
+		rm -rf $$DIR/h5py/_debian_h5py_serial/tests/data_files ; \
+		cp -r $(CURDIR)/h5py/tests/data_files $$DIR/h5py/_debian_h5py_serial/tests/; \
+		cd $$DIR/..; PYTHONPATH=$$DIR python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
+		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v'))"; \
+		rm -rf $$DIR/h5py/_debian_h5py_serial/tests/data_files ; \
+	cd ../..; done;
+	for DIR in $$(find $(CURDIR)/.pybuild/cpython3*mpi -name build); do \
 		echo "Running MPI tests on $$DIR"; \
-		cd $$DIR; PYTHONPATH=. mpirun -n 2 python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
-		$(CURDIR)/debian/tests/test_file_mpi.py; \
-	cd ../../..; done;
-else
-	echo "MPI tests not run since nocheck was set in DEB_BUILD_OPTIONS"
-endif
-
-override_dh_auto_test-indep: test-mpi
-
-override_dh_auto_test-arch: test-mpi
-ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; \
-	for DIR in $$(find .pybuild/cpython3*serial -name build); do \
-		echo "Running serial tests on $$DIR"; \
-		cd $$DIR; PYTHONPATH=. python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
-		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v'))"; \
-	cd ../../..; done;
+		rm -rf $$DIR/h5py/_debian_h5py_mpi/tests/data_files ; \
+		cp -r $(CURDIR)/h5py/tests/data_files $$DIR/h5py/_debian_h5py_mpi/tests/; \
+		cd $$DIR/..; PYTHONPATH=$$DIR mpirun -n 2 python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
+		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v --with-mpi -p no:xvfb'))"; \
+		rm -rf $$DIR/h5py/_debian_h5py_mpi/tests/data_files ; \
+	cd ../..; done;
 else
 	echo "Tests not run since nocheck was set in DEB_BUILD_OPTIONS"
 endif
@@ -102,8 +110,15 @@
 override_dh_auto_install-indep:
 
 override_dh_auto_install-arch: $(eval SHELL := /bin/bash)
-	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_auto_install -a -D $(BUILD_DIR_SERIAL)
-	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc dh_auto_install -a -D $(BUILD_DIR_MPI)
+	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) HDF5_PKGCONFIG_NAME=hdf5-serial H5PY_SYSTEM_LZF=1 dh_auto_install -a -D $(BUILD_DIR_SERIAL)
+	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc HDF5_PKGCONFIG_NAME=hdf5-mpi HDF5_MPI=ON H5PY_SYSTEM_LZF=1 dh_auto_install -a -D $(BUILD_DIR_MPI)
+
+override_dh_install-arch:
+	rm -rf debian/python3-h5py-serial/usr/lib/python*/dist-packages/h5py/_debian_h5py_serial/tests/data_files
+	rm -rf debian/python3-h5py-mpi/usr/lib/python*/dist-packages/h5py/_debian_h5py_mpi/tests/data_files
+	dh_install -a
+	dh_install -phdf5-plugin-lzf  $(BUILD_DIR_SERIAL)/lzf/liblzf_filter.so  $(shell pkg-config --variable=PluginDir hdf5-serial)
+	dh_install -phdf5-plugin-lzf  $(BUILD_DIR_MPI)/lzf/liblzf_filter.so     $(shell pkg-config --variable=PluginDir hdf5-mpi)
 
 override_dh_python3-arch:
 	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_python3
@@ -119,10 +134,4 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs
-	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js" debian/python-h5py-doc/usr/share/doc/python-h5py-doc/html/* -R --files-with-matches | xargs sed "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js|file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i
-
-override_dh_strip-arch:
-	dh_strip --package=python3-h5py-serial \
-		--dbg-package=python3-h5py-serial-dbg
-	dh_strip --package=python3-h5py-mpi \
-		--dbg-package=python3-h5py-mpi-dbg
+	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-h5py-doc/usr/share/doc/python-h5py-doc/html/* -R --files-with-matches | xargs -r sed "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|file:///usr/share/javascript/mathjax/unpacked/latest.js|g" -i
